package com.rv.rvmine.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

/**
 * 获取用户信息
 */
public class UserInfo extends BaseBean {
    //用户id
    private int userid;
    //imid
    private int imUserid;
    ///账号（手机号）
    private String username;
    //微信openid
    private String wxOpenid;
    //微信unionid
    private String unionid;
    //qq
    private String openid;
    //状态：0-启用，1-禁用
    private int status;
    //身份证号
    private String idNumber;
    //实名认证状态:0-未认证，1-已认证
    private int certificationStatus;
    //会员
    private int isMember;
    //昵称
    private String nickname;
    //真实姓名
    private String realname;
    //头像
    private String headimgurl;
    //邮箱
    private String email;
    //性别 0-女，1-男
    private int sex;
    //生日
    private String birthday;
    //个性签名
    private String personSign;
    //备注
    private String remark;

    public int getUserid() {
        return userid;
    }

    public void setUserid(int userid) {
        this.userid = userid;
    }

    public int getImUserid() {
        return imUserid;
    }

    public void setImUserid(int imUserid) {
        this.imUserid = imUserid;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getWxOpenid() {
        return wxOpenid;
    }

    public void setWxOpenid(String wxOpenid) {
        this.wxOpenid = wxOpenid;
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }

    public int getCertificationStatus() {
        return certificationStatus;
    }

    public void setCertificationStatus(int certificationStatus) {
        this.certificationStatus = certificationStatus;
    }

    public int getIsMember() {
        return isMember;
    }

    public void setIsMember(int isMember) {
        this.isMember = isMember;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getRealname() {
        return realname;
    }

    public void setRealname(String realname) {
        this.realname = realname;
    }

    public String getHeadimgurl() {
        return headimgurl;
    }

    public void setHeadimgurl(String headimgurl) {
        this.headimgurl = headimgurl;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public int getSex() {
        return sex;
    }

    public void setSex(int sex) {
        this.sex = sex;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getPersonSign() {
        return personSign;
    }

    public void setPersonSign(String personSign) {
        this.personSign = personSign;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
